import pygame
import os

# добавим функцию загрузки изображений
def load_image(name, colorkey=None):
    # загрузка изображения в память
    fullname = os.path.join('', name)
    try:
        image = pygame.image.load(fullname)
    except pygame.error as message:
        print('Cannot load image:', name)
        raise SystemExit(message)
    # конвертирование изображения 
    image = image.convert_alpha()
    #
    if colorkey is not None:
        if colorkey is -1:
            colorkey = image.get_at((0, 0))
        image.set_colorkey(colorkey)
    return image

# инициализация  
pygame.init()
screen = pygame.display.set_mode((1200, 700))
pygame.display.set_caption("My Game")
all_sprites = pygame.sprite.Group()

# создание автомобиля
hero = pygame.sprite.Sprite(all_sprites)
hero_image = load_image("images/car-frame-250x140px.png")
hero.image = hero_image
hero.rect = hero.image.get_rect()
hero.rect.x = 100
hero.rect.top = 530
all_sprites.add(hero)

# загрузка изображений для фона
background = pygame.image.load("images/game-background-1200x700.png")

# запуск основного цикла игры
running = True
while running:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            running = False
        # управление движением автомобиля, контроль нажатия клавиатуры
        keys = pygame.key.get_pressed()
        if keys[pygame.K_LEFT]: # движение влево
            hero.rect.x -= 5
        if keys[pygame.K_RIGHT]: # движение вправо
            hero.rect.x += 5
    # отрисовка изображений для фона 
    screen.fill((0, 0, 0))
    screen.blit(background, (0, 0))
    # отрисовка изображения автомобиля
    all_sprites.draw(screen)
    pygame.display.flip()

# завершение работы программы
pygame.quit()

